Bug 149564 - patch for various games/ adding appropriate LICENSEs to Makefiles
Summary: patch for various games/ adding appropriate LICENSEs to Makefiles
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-12 10:30 UTC by Ullrich Franke
Modified: 2011-12-14 21:30 UTC (History)
0 users

See Also:


Attachments
games-licenses-1.patch (14.44 KB, patch)
2010-08-12 10:30 UTC, Ullrich Franke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ullrich Franke 2010-08-12 10:30:03 UTC
	FreeBSD ports infrastructure now has checks for licenses implemented.
	However, most ports echo "License check disabled, port has not defined LICENSE".

	Attached is a patch for various ports in the games/ section of the ports directory that adds LICENSEs to port's Makefile.

	It is intended as a demo of what I'd like to contribute to the project.
	If such work is appreciated, I will submit more patches adding LICENSES accross ports.

	Regards,
	Ullrich Franke
Comment 1 swell.k 2010-08-12 13:42:53 UTC
(CC'ing ports@, anyone there care to update the wiki to mention the
common issue?)

Ullrich Franke <uf@raindogs.org> writes:

> --- ./magicor/Makefile	2010-03-28 08:35:17.000000000 +0200
> +++ ./magicor/Makefile	2010-07-26 12:36:33.000000000 +0200
> @@ -16,6 +16,11 @@
>  MAINTAINER=	amdmi3@FreeBSD.org
>  COMMENT=	Old-school, puzzle game similar to Solomon's Key
>  
> +LICENSE=	unknown
> +LICENSE_NAME=	Public Domain
> +LICENSE_PERMS=	${_LICENSE_PERMS_DEFAULT}
> +LICENSE_FILE=	${WRKSRC}/LICENSE
> +
>  RUN_DEPENDS=	${PYTHON_SITELIBDIR}/pygame/__init__.py:${PORTSDIR}/devel/py-game
>  
>  USE_PYTHON=	yes
> --- ./alienblaster/Makefile	2010-01-30 10:42:46.000000000 +0100
> +++ ./alienblaster/Makefile	2010-07-26 12:28:24.000000000 +0200
> @@ -15,6 +15,9 @@
>  MAINTAINER=	alepulver@FreeBSD.org
>  COMMENT=	Alien Blaster
>  
> +LICENSE=	GPLv2
> +LICENSE_FILE=	${WRKSRC}/LICENSE
> +
>  USE_GMAKE=	yes
>  USE_SDL=	mixer sdl
>  REINPLACE_ARGS=	-i ''

Note, there is a known limitation of the framework regarding license
file named `LICENSE' described in ports/148808. Just comment
LICENSE_FILE until it's resolved so you won't forget which ports have a
license file.

  $ make deinstall
  ===>   Deinstalling magicor-1.1_3
  pkg_delete: file '/usr/local/share/licenses/magicor-1.1_3/LICENSE' doesn't exist

  $ make deinstall
  ===>   Deinstalling alienblaster-1.1.0_4
  pkg_delete: file '/usr/local/share/licenses/alienblaster-1.1.0_4/LICENSE' doesn't exist
Comment 2 Dmitry Marakasov 2010-08-12 20:12:59 UTC
* Ullrich Franke (uf@raindogs.org) wrote:

> >Synopsis:       patch for various games/ adding appropriate LICENSEs to Makefiles
> 	
> 	FreeBSD ports infrastructure now has checks for licenses implemented.
> 	However, most ports echo "License check disabled, port has not defined LICENSE".

Note that I'm against adding LICENSE to my ports (here: agame,
allacrost, amoebax, magicor, memonix, meritous, mirrormagic,
moonlander, plutocracy) unless/before ports/149070 or something
very similar is committed.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Chris Rees freebsd_committer 2011-11-03 21:16:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 4 Chris Rees 2011-11-18 19:55:48 UTC
Hey all,

Just a heads-up about ports/149564, I was wondering if anyone had any
objections to it now Dmitry's objection is resolved
(http://www.freebsd.org/cgi/query-pr.cgi?pr=149070)?

You're being emailed because you maintain one of the ports involved;

[crees@pegasus]~/<2>pcvs/games-licenses/ports/games% ls
0verkill/               afternoonstalker/       memonix/
3dc/                    agame/                  meritous/
3dpong/                 alienblaster/           mirrormagic/
44bsd-hunt/             alienwave/              mkhexgrid/
4stattack/              allacrost/              monkeybubble/
CVS/                    amoebax/                monster-masher/
abe/                    anki/                   monsterz/
abuse_sdl/              bass/                   moonlander/
acm/                    burgerspace/            nethack34/
adgali/                 crossfire-server/       plutocracy/
adom/                   fmars/                  pongix/
adonthell/              gtklife/                pyching/
affenspiel/             magicor/                six/

Chris
Comment 5 Chris Rees freebsd_committer 2011-11-18 19:56:09 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 6 dfilter service freebsd_committer 2011-12-14 21:29:29 UTC
crees       2011-12-14 21:29:16 UTC

  FreeBSD ports repository

  Modified files:
    games/0verkill       Makefile 
    games/3dc            Makefile 
    games/3dpong         Makefile 
    games/44bsd-hunt     Makefile 
    games/4stattack      Makefile 
    games/abe            Makefile 
    games/acm            Makefile 
    games/adgali         Makefile 
    games/adom           Makefile 
    games/adonthell      Makefile 
    games/affenspiel     Makefile 
    games/agame          Makefile 
    games/alienblaster   Makefile 
    games/alienwave      Makefile 
    games/allacrost      Makefile 
    games/amoebax        Makefile 
    games/anki           Makefile 
    games/bass           Makefile 
    games/fmars          Makefile 
    games/gtklife        Makefile 
    games/magicor        Makefile 
    games/memonix        Makefile 
    games/meritous       Makefile 
    games/mirrormagic    Makefile 
    games/mkhexgrid      Makefile 
    games/monsterz       Makefile 
    games/moonlander     Makefile 
    games/nethack34      Makefile 
    games/plutocracy     Makefile 
    games/pongix         Makefile 
  Log:
  Add LICENSE data.
  
  PR:             ports/149564 (based on)
  Submitted by:   Ullrich Franke <uf@raindogs.org>
  Approved by:    [no objections from maintainers in four weeks]
  
  Revision  Changes    Path
  1.13      +2 -0      ports/games/0verkill/Makefile
  1.24      +2 -0      ports/games/3dc/Makefile
  1.21      +2 -0      ports/games/3dpong/Makefile
  1.7       +2 -0      ports/games/44bsd-hunt/Makefile
  1.12      +2 -0      ports/games/4stattack/Makefile
  1.10      +2 -0      ports/games/abe/Makefile
  1.35      +2 -0      ports/games/acm/Makefile
  1.42      +2 -0      ports/games/adgali/Makefile
  1.20      +5 -0      ports/games/adom/Makefile
  1.36      +3 -0      ports/games/adonthell/Makefile
  1.16      +5 -0      ports/games/affenspiel/Makefile
  1.12      +2 -0      ports/games/agame/Makefile
  1.11      +2 -0      ports/games/alienblaster/Makefile
  1.4       +2 -0      ports/games/alienwave/Makefile
  1.26      +0 -1      ports/games/allacrost/Makefile
  1.11      +6 -0      ports/games/amoebax/Makefile
  1.9       +2 -0      ports/games/anki/Makefile
  1.14      +5 -0      ports/games/bass/Makefile
  1.7       +2 -0      ports/games/fmars/Makefile
  1.15      +2 -0      ports/games/gtklife/Makefile
  1.6       +5 -0      ports/games/magicor/Makefile
  1.12      +9 -0      ports/games/memonix/Makefile
  1.12      +2 -0      ports/games/meritous/Makefile
  1.29      +2 -0      ports/games/mirrormagic/Makefile
  1.10      +2 -0      ports/games/mkhexgrid/Makefile
  1.9       +5 -0      ports/games/monsterz/Makefile
  1.22      +3 -0      ports/games/moonlander/Makefile
  1.75      +5 -0      ports/games/nethack34/Makefile
  1.4       +2 -0      ports/games/plutocracy/Makefile
  1.15      +2 -0      ports/games/pongix/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Chris Rees freebsd_committer 2011-12-14 21:29:31 UTC
State Changed
From-To: feedback->closed

Committed.  Thanks!